diff --git a/src/BUILD.bazel b/src/BUILD.bazel
index 1ec226d..369df95 100644
--- a/src/BUILD.bazel
+++ b/src/BUILD.bazel
@@ -1,3 +1,4 @@
+load("@rules_cc//cc:defs.bzl", "cc_library", "cc_test", "cc_binary")
 package(default_visibility = ["//visibility:public"])
 
 cc_library(
diff --git a/src/s2/BUILD b/src/s2/BUILD
index 7bd2824..0571950 100644
--- a/src/s2/BUILD
+++ b/src/s2/BUILD
@@ -1,3 +1,4 @@
+load("@rules_cc//cc:defs.bzl", "cc_library", "cc_test", "cc_binary")
 package(default_visibility = ["//visibility:public"])
 exports_files(glob(
   include = [
diff --git a/src/s2/base/BUILD b/src/s2/base/BUILD
index 7ef1090..ff427f3 100644
--- a/src/s2/base/BUILD
+++ b/src/s2/base/BUILD
@@ -1,3 +1,4 @@
+load("@rules_cc//cc:defs.bzl", "cc_library", "cc_test", "cc_binary")
 package(default_visibility = ["//visibility:public"])
 
 cc_library(
diff --git a/src/s2/testing/BUILD b/src/s2/testing/BUILD
index cbd18f3..b514c49 100644
--- a/src/s2/testing/BUILD
+++ b/src/s2/testing/BUILD
@@ -1,3 +1,4 @@
+load("@rules_cc//cc:defs.bzl", "cc_library", "cc_test", "cc_binary")
 package(default_visibility = ["//visibility:public"])
 
 cc_library(
diff --git a/src/s2/util/bitmap/BUILD b/src/s2/util/bitmap/BUILD
index 93ccb49..77edee1 100644
--- a/src/s2/util/bitmap/BUILD
+++ b/src/s2/util/bitmap/BUILD
@@ -1,3 +1,4 @@
+load("@rules_cc//cc:defs.bzl", "cc_library", "cc_test", "cc_binary")
 package(default_visibility = ["//visibility:public"])
 
 cc_library(
diff --git a/src/s2/util/bits/BUILD b/src/s2/util/bits/BUILD
index b94fb89..2fb230b 100644
--- a/src/s2/util/bits/BUILD
+++ b/src/s2/util/bits/BUILD
@@ -1,3 +1,4 @@
+load("@rules_cc//cc:defs.bzl", "cc_library", "cc_test", "cc_binary")
 package(default_visibility = ["//visibility:public"])
 
 cc_library(
diff --git a/src/s2/util/coding/BUILD b/src/s2/util/coding/BUILD
index 269159b..610e7a5 100644
--- a/src/s2/util/coding/BUILD
+++ b/src/s2/util/coding/BUILD
@@ -1,3 +1,4 @@
+load("@rules_cc//cc:defs.bzl", "cc_library", "cc_test", "cc_binary")
 package(default_visibility = ["//visibility:public"])
 
 cc_library(
diff --git a/src/s2/util/endian/BUILD b/src/s2/util/endian/BUILD
index 7bc114c..7116988 100644
--- a/src/s2/util/endian/BUILD
+++ b/src/s2/util/endian/BUILD
@@ -1,3 +1,4 @@
+load("@rules_cc//cc:defs.bzl", "cc_library", "cc_test", "cc_binary")
 package(default_visibility = ["//visibility:public"])
 
 cc_library(
diff --git a/src/s2/util/gtl/BUILD b/src/s2/util/gtl/BUILD
index b6c0dca..cffee85 100644
--- a/src/s2/util/gtl/BUILD
+++ b/src/s2/util/gtl/BUILD
@@ -1,3 +1,4 @@
+load("@rules_cc//cc:defs.bzl", "cc_library", "cc_test", "cc_binary")
 package(default_visibility = ["//visibility:public"])
 
 cc_library(
diff --git a/src/s2/util/hash/BUILD b/src/s2/util/hash/BUILD
index 363f501..4f37a84 100644
--- a/src/s2/util/hash/BUILD
+++ b/src/s2/util/hash/BUILD
@@ -1,3 +1,4 @@
+load("@rules_cc//cc:defs.bzl", "cc_library", "cc_test", "cc_binary")
 package(default_visibility = ["//visibility:public"])
 
 cc_library(
diff --git a/src/s2/util/math/BUILD b/src/s2/util/math/BUILD
index 8bc13a1..9bb6750 100644
--- a/src/s2/util/math/BUILD
+++ b/src/s2/util/math/BUILD
@@ -1,3 +1,4 @@
+load("@rules_cc//cc:defs.bzl", "cc_library", "cc_test", "cc_binary")
 package(default_visibility = ["//visibility:public"])
 
 cc_library(
diff --git a/src/s2/util/math/exactfloat/BUILD b/src/s2/util/math/exactfloat/BUILD
index 4f5499a..af7d766 100644
--- a/src/s2/util/math/exactfloat/BUILD
+++ b/src/s2/util/math/exactfloat/BUILD
@@ -1,3 +1,4 @@
+load("@rules_cc//cc:defs.bzl", "cc_library", "cc_test", "cc_binary")
 package(default_visibility = ["//visibility:public"])
 
 cc_library(
diff --git a/src/s2/util/random/BUILD b/src/s2/util/random/BUILD
index c0203c5..538a2ee 100644
--- a/src/s2/util/random/BUILD
+++ b/src/s2/util/random/BUILD
@@ -1,3 +1,4 @@
+load("@rules_cc//cc:defs.bzl", "cc_library", "cc_test", "cc_binary")
 package(default_visibility = ["//visibility:public"])
 
 cc_library(
diff --git a/src/s2/util/units/BUILD b/src/s2/util/units/BUILD
index 6d4bf7d..f0003f5 100644
--- a/src/s2/util/units/BUILD
+++ b/src/s2/util/units/BUILD
@@ -1,3 +1,4 @@
+load("@rules_cc//cc:defs.bzl", "cc_library", "cc_test", "cc_binary")
 package(default_visibility = ["//visibility:public"])
 
 cc_library(
